petsc-3.4.2 2013-07-02

# VecSqrtAbs

Replaces each component of a vector by the square root of its magnitude.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSqrtAbs(Vec v)

Not collective

### Input Parameter

v -The vector

### Output Parameter

v -The vector square root

Note: The actual function is sqrt(|x_i|)

### See Also

VecLog(), VecExp(), VecReciprocal(), VecAbs()

### Keywords

vector, sqrt, square root

Level:beginner
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages